** Changed in: mahara
    Milestone: 19.10.2 => 20.04.0

-- 
You received this bug notification because you are a member of Mahara
Contributors, which is subscribed to Mahara.
Matching subscriptions: Subscription for all Mahara Contributors -- please ask 
on #mahara-dev or mahara.org forum before editing or unsubscribing it!
https://bugs.launchpad.net/bugs/1843357

Title:
  Library upgrade: remove jquery deprecations

Status in Mahara:
  In Progress

Bug description:
  This is related to https://bugs.launchpad.net/mahara/+bug/1840105

  Jquery 3.4.0 deprecated quite a few selectors that we use. However
  there are no warnings and the removal of related code is not scheduled
  until 4.0. For that reason I am creating a new bug as a reminder to
  fix this while I move on with other upgrades.

  Deprecations: https://api.jquery.com/category/deprecated/deprecated-3.4/
  Changelog: https://blog.jquery.com/2019/04/10/jquery-3-4-0-released/
  Basic example: 
https://forum.jquery.com/topic/jquery-3-4-replacement-examples-for-deprecated-positional-selectors-first-last

  So the idea is to replace the selectors with the jquery methods
  first(), last() and eq(), and/or to use equivalent css selectors.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mahara/+bug/1843357/+subscriptions

_______________________________________________
Mailing list: https://launchpad.net/~mahara-contributors
Post to     : mahara-contributors@lists.launchpad.net
Unsubscribe : https://launchpad.net/~mahara-contributors
More help   : https://help.launchpad.net/ListHelp

Reply via email to